##
##  arx.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_arxtools 0.5.2
%define       V_libarxx  0.7.10

#   package information
Name:         arx
Summary:      ARX Archive Format
URL:          http://www.arx.org/
Vendor:       Hagen Moebius, Aram Altschudjian
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Archiver
License:      GPL
Version:      %{V_arxtools}.%{V_libarxx}
Release:      20100930

#   list of sources
Source0:      http://arx.googlecode.com/files/arxtools-%{V_arxtools}.tar.bz2
Source1:      http://arx.googlecode.com/files/libarxx-%{V_libarxx}.tar.bz2

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc, gcc::with_cxx = yes, pkgconfig
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  zlib, bzip2
PreReq:       zlib, bzip2

%description
    ARX is an archiving file format with advanced features especially
    designed to meet the requirements of game designers. These features
    include external data referencing, data synchronization with remote
    data storages, in-memory merging of multiple archives and arbitrary
    data items structuring.

%track
    prog arx:arxtools = {
        version   = %{V_arxtools}
        url       = http://code.google.com/p/arx/
        regex     = arxtools-(__VER__)\.tar\.bz2
    }
    prog arx:libarxx = {
        version   = %{V_libarxx}
        url       = http://code.google.com/p/arx/
        regex     = libarxx-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1

%build
    ( cd libarxx-%{V_libarxx}
      CC="%{l_cc}" \
      CXX="%{l_cxx}" \
      CFLAGS="%{l_cflags -O}" \
      CXXFLAGS="%{l_cxxflags -O}" \
      CPPFLAGS="%{l_cppflags}" \
      LDFLAGS="%{l_ldflags}" \
      ./configure \
          --prefix=%{l_prefix} \
          --disable-shared
      %{l_make} %{l_mflags -O}
    ) || exit $?
    ( cd arxtools-%{V_arxtools}
      mkdir pkg-config
      ( echo "prefix=`pwd`/prefix"
        echo "exec_prefix=\${prefix}"
        echo "libdir=`pwd`/../libarxx-%{V_libarxx}/Source/.libs"
        echo "includedir=`pwd`/../libarxx-%{V_libarxx}/Include"
        echo ""
        echo "Name: libarxx"
        echo "Description: Advanced Resource Archives for C++"
        echo "Version: %{V_libarxx}"
        echo "Requires:"
        echo "Libs: -L\${libdir} -larxx -lz -lbz2"
        echo "Cflags: -I\${includedir}"
      ) >pkg-config/libarxx.pc
      PKG_CONFIG_PATH="`pwd`/pkg-config" \
      CC="%{l_cc}" \
      CXX="%{l_cxx}" \
      CFLAGS="%{l_cflags -O}" \
      CXXFLAGS="%{l_cxxflags -O}" \
      CPPFLAGS="%{l_cppflags}" \
      LDFLAGS="%{l_ldflags}" \
      ./configure \
          --prefix=%{l_prefix}
      %{l_make} %{l_mflags}
    ) || exit $?

%install
    ( cd libarxx-%{V_libarxx}
      %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    ) || exit $?
    ( cd arxtools-%{V_arxtools}
      %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    ) || exit $?
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

